### 4.18.2 proc expression

Syntax:
  variable_name `-> {` expression(s) `}`
Purpose:
  Defines a new function, within `apply` or for assigning.
Example:

        apply(1..3,x->{x**2});
      ==> 1 4 9
        proc t=x->{x mod 5};
        t;
      ==> // libname  :
      ==> // procname : x->x mod 5
      ==> // type     : singular
        t(23);
      ==> 3
        proc p=t;

See apply; proc.

User manual for Singular version 4.4.1, 2025, generated by texi2html.